> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all customers for the authenticated user's companies



## OpenAPI

````yaml openapi/openapi.json get /api/customers
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/customers:
    get:
      tags:
        - Customers
      summary: Get all customers for the authenticated user's companies
      operationId: 1b873d7b0c63876f30a978b52c4d24d2
      parameters:
        - name: per_page
          in: query
          description: 'Number of customers to return per page (default: 10)'
          required: false
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
        - name: page
          in: query
          description: 'Page number to retrieve (default: 1)'
          required: false
          schema:
            type: integer
            format: int32
            default: 1
            minimum: 1
      responses:
        '200':
          description: Customers list retrieved successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Customers list retrieved successfully
                  data:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                        CID:
                          type: string
                        name:
                          type: string
                        email:
                          type: string
                        url:
                          type: string
                        number_range_id:
                          type: integer
                        marketing_opt_in_at:
                          type: string
                      type: object
                  meta:
                    description: Pagination meta data
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 5
                      per_page:
                        type: integer
                        example: 10
                      total:
                        type: integer
                        example: 45
                    type: object
                type: object
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: An unexpected error occurred while retrieving customers.
                type: object
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````